[arch-commits] Commit in xpdf/trunk (PKGBUILD xpdf.desktop)

Jan de Groot jgc at archlinux.org
Thu May 21 06:35:06 EDT 2009


    Date: Thursday, May 21, 2009 @ 06:35:06
  Author: jgc
Revision: 39736

upgpkg: xpdf 3.02_pl3-1
    Security update

Modified:
  xpdf/trunk/PKGBUILD
  xpdf/trunk/xpdf.desktop

--------------+
 PKGBUILD     |   10 ++++++----
 xpdf.desktop |    6 +++---
 2 files changed, 9 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-21 10:27:09 UTC (rev 39735)
+++ PKGBUILD	2009-05-21 10:35:06 UTC (rev 39736)
@@ -4,10 +4,9 @@
 
 pkgname=xpdf
 _srcver=3.02
-_patchlevel=pl2
+_patchlevel=pl3
 pkgver=${_srcver}_${_patchlevel}
-#pkgver=${_srcver}
-pkgrel=2
+pkgrel=1
 pkgdesc="Xpdf is a viewer for Portable Document Format (PDF) files."
 arch=(i686 x86_64)
 license=('GPL')
@@ -19,16 +18,19 @@
 install=xpdf.install
 source=(ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}.tar.gz
         ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}pl1.patch
+        ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}pl2.patch
         ftp://ftp.foolabs.com/pub/${pkgname}/${pkgname}-${_srcver}${_patchlevel}.patch
         xpdf.desktop)
 md5sums=('599dc4cc65a07ee868cf92a667a913d2'
 	 '877118786dfe27d1b7aa5a6759cc6e45'
          '3a5cb165ae66781e0b21e6219ae06795'
-	 '6c606eeca046cc9f32835f98f635c084')
+	 '581963ede0fb5715e1a69f01b5b8ce63'
+	 '93b9df5ebef3bc56133236ef3f176bb7')
 
 build() {
   cd "${srcdir}/${pkgname}-${_srcver}"
   patch -Np1 -i "${srcdir}/${pkgname}-${_srcver}pl1.patch" || return 1
+  patch -Np1 -i "${srcdir}/${pkgname}-${_srcver}pl2.patch" || return 1
   patch -Np1 -i "${srcdir}/${pkgname}-${_srcver}${_patchlevel}.patch" || return 1
   sed -i 's:/usr/share/fonts/type1/gsfonts:/usr/share/fonts/Type1:' xpdf/GlobalParams.cc || return 1
   ./configure                                                  \

Modified: xpdf.desktop
===================================================================
--- xpdf.desktop	2009-05-21 10:27:09 UTC (rev 39735)
+++ xpdf.desktop	2009-05-21 10:35:06 UTC (rev 39736)
@@ -1,9 +1,9 @@
 [Desktop Entry]
-Name=xpdf
+Name=Xpdf
 Comment=Views Adobe PDF (acrobat) files
 Exec=xpdf
-Terminal=0
+Terminal=false
 Type=Application
 Icon=xpdf
-Categories=Application;Office;
+Categories=Office;
 MimeType=application/pdf;



More information about the arch-commits mailing list